* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Arial', sans-serif;
    line-height: 1.6;
    background-color: #0d2542e7;  
    font-family: OCR A Std, monospace;
    animation: fadeIn 0.3s ease-in-out;
    -webkit-user-drag: none;
    user-select: none;
}

.container {
    width: 80%;
    margin: 0 auto;
}

/*STRICH-------------------------------------------------------------------------------------------------------------------*/
.separator {
    margin: auto;
    height: 5px;
    margin-bottom: 40px;
    margin-top: 40px;
    background-color: #0061c9;
    border-radius: 20px;
    box-shadow: 0px 0px 6px rgb(18, 26, 35);
    border: 1px solid rgb(18, 36, 54);
    width: 90%;
}

.separatornew {
    margin: auto;
    height: 5px;
    margin-bottom: 40px;
    margin-top: 40px;
    background: linear-gradient(to right, #89d0ff, #0073ff, #89d0ff,#0073ff, #89d0ff, #0073ff);
    border-radius: 20px;
    box-shadow: 0px 0px 6px rgb(18, 26, 35);
    border: 1px solid rgb(18, 36, 54);
    width: 90%;
    background-size: 400% 100%;
    animation: gradientAnimation 6s linear infinite;
}

/*KATEGORIEN---------------------------------------------------------------------------------------------------------------------*/
.kategorien {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 83.3vh;
    background-color: transparent;
}

.box {
    width: 200px;
    height: 50px;
    color: #127cff;
    text-decoration: none;
    background-color: #0a151d;
    border: 2px solid #0a151d;
    box-shadow: 0 0 4px #040a18;
    margin: 15px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    transition: all 0.2s, letter-spacing 0.01s;
}

.box:hover {
    transform: scale(1.2);
    border: 2px solid #0078ce; 
    letter-spacing: 2px;
    box-shadow: 0 0 8px #040a18;
    background-color: #0b1d33;
}

.box:active {
    transform: scale(0.9);
}

.box-content {
    text-align: center;
}

.box-text {
    color: #fff;
    font-size: 22px;
    font-weight: bold;
    text-decoration: underline;
    cursor: pointer;
    text-decoration: none;
}

.kategorien-text {
    color: #0073ff;
    text-decoration: none;
    transition: all 0.2s;
}

.kategorien-text:hover {
    color: hsl(204, 100%, 72%);
}

/*EMPTY---------------------------------------------------------------------------------------------------------------------*/
.emptypage-post {
    text-align: center; 
    margin-bottom: 22%;
}

.emptyPage-icon {
    display: block;
    margin: 0 auto;
    margin-bottom: 24%;
}

.emptypage {
    margin-top: 14%;
    text-align: center;
    color: #0a151d;
    text-shadow: 0 0 2px #040a18;
    font-weight: 490;
}

/*KONTAKT---------------------------------------------------------------------------------------------------------------------*/
.profile-card {
    text-align: center;
    font-family: Arial, sans-serif;
    margin-top: 40px;
}

.testing {
    background-color: transparent;
    padding: 1px 950px;
    font-size: xx-small;
    color: transparent;
}

.prewievimg {
    border-radius: 40px;
    transform: scale(0.8);
    border: 4px solid #000000;
    box-shadow: 0 0 12px #040a18c2;
    margin-left: 20px;
    margin-right: 20px;
    margin-bottom: 40px;
    cursor: zoom-in;
    transition: all 0.2s;
}

.prewievimg:hover {
    transform: scale(0.9);
    margin-left: 30px;
    border: 4px solid #0078ce;
    box-shadow: 0 0 8px #040a18d8;
}

.profile-image {
    -webkit-user-drag: none;
    user-select: none;
    cursor: zoom-in;
    width: 180px;
    height: 180px;
    border: 3px solid #121c27;
    box-shadow: 0 0 6px #1d1c22;
    border-radius: 50%;
    margin: 0 auto;
    overflow: hidden;
    margin-bottom: 25px;
    transition: all 0.3s;
}


.profile-image:hover {
    transform: scale(1.1);
    border-radius: 25%;
    border: 3px solid #0078ce;
    box-shadow: 0 0 8px #040a18;
    margin-bottom: 50px;

}

.profile-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.username {
    -webkit-user-drag: none;
    user-select: none;
    transform: translateY(-12px);
    font-size: 22px;
    margin-top: 10px;
    color: #ffffff;
    font-weight: Bold;
    margin-left: 8px;
}

.verification {
    display: inline-block;
    transform: translateY(3px);
    margin-left: 5px;
    margin-right: 10px;
    overflow: hidden;
}

.user-avatar img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.user-description {
    -webkit-user-drag: none;
    user-select: none;
    padding: 8px 18px;
    border: 2px solid #121c27;
    background-color: #1c2a38;
    border-radius: 25px;
    width: 75%;
    margin: 0 auto;
    box-shadow: 0 0 10px #121c27;
    transition: all 0.3s
}

.user-description:hover {
    background-color: #192d46;;
    border: 2px solid #0078ce;
    box-shadow: 0 0 8px #040a18;
    transform: scale(1.1);
    color: #ffffff;
}

.text-description {
    color: #a8a8a8;
    font-size: 15px;
    font-weight: bold;
    transition: color 0.4s;
}

.text-description:hover {
    color: #ffffff
}

.user-info {
    background-color: #121c27;
    box-shadow: 0 0 10px #152231;
    border: 2px solid #121c27;
    border-radius: 29px;
    margin: 0 auto;
    width: 210px;
    height: 35px;
    transition: all 0.3s
}

.user-info:hover {
    background-color: #192d46;
    border: 2px solid #0078ce;
    box-shadow: 0 0 8px #040a18;
    transform: scale(1.05);
}

.box-container2 {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0 auto;
    max-width: 90%;
}

.box-container3 {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0 auto;
    max-width: 20%;
}

.boxk {
    width: 70px;
    height: 65px;
    background-color: #121c27;
    border: 2px solid #121c27;
    margin: 0 12.5px;
    border-radius: 15px;
    display: flex;
    -webkit-user-drag: none;  
    user-select: none; 
    align-items: center;
    justify-content: center;
    margin-top: 40px;
    margin-bottom: 5.2%;
    box-shadow: 0px 0px 10px #1d1c22;
    transition: all 0.2s
}

.boxk:hover {
    background-color: #152538FF;
    border: 2px solid #0078ce;
    box-shadow: 0 0 8px #040a18;
    transform: scale(1.3);
    margin-left: 20px;
    margin-right: 20px;
}

.boxk:active {
    transform: scale(0.9);
}

.logosimgs {
    transform: translateY(3px);
    border-radius: 20%;
}

.strich {
    margin-top: 20px;
    margin-bottom: 10.2%;
}

/*KENNTNISSE---------------------------------------------------------------------------------------------------------------------*/
.webexpirience {
    margin-bottom: 40px;
    margin-top: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction:initial;
}

.web-info {
    margin-top: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction:initial;
}

.htmltag {
    color: #ffffff;
    font-weight: bold;
    background: linear-gradient(90deg, rgba(255,132,0,1) 0%, rgba(170,62,0,1) 82%, rgba(29,29,29,1) 83%, rgba(40,40,40,1) 100%);
    padding: 10px 10px;
    margin: 10px;
    border: 3px solid #091424;
    box-shadow: 0 0 8px #040a18b9;
    border-radius: 20px;
}

.csstag {
    color: #ffffff;
    font-weight: bold;
    background: linear-gradient(90deg, rgba(0,155,255,1) 0%, rgba(0,69,255,1) 54%, rgba(29,29,29,1) 55%, rgba(40,40,40,1) 100%);
    padding: 10px 10px;
    margin: 10px;
    border: 3px solid #091424;
    box-shadow: 0 0 8px #040a18b9;
    border-radius: 20px;
}

.jstag {
    color: #ffffff;
    font-weight: bold;
    background: linear-gradient(90deg, rgb(255, 238, 0) 0%, rgb(189, 145, 0) 28%, rgba(29,29,29,1) 29%, rgba(40,40,40,1) 100%);
    padding: 10px 10px;
    margin: 10px;
    border: 3px solid #091424;
    box-shadow: 0 0 8px #040a18b9;
    border-radius: 20px;
}

.phptag {
    color: #ffffff;
    font-weight: bold;
    background: linear-gradient(90deg, rgb(160, 35, 255) 0%, rgba(93,0,170,1) 8%, rgba(29,29,29,1) 9%, rgba(40,40,40,1) 100%);
    padding: 10px 10px;
    margin: 10px;
    border: 3px solid #091424;
    box-shadow: 0 0 8px #040a18b9;
    border-radius: 20px;
}

.htmltag, .csstag, .jstag, .phptag {
    transition: all 0.3s;
    cursor: pointer;
}

.htmltag:hover, .csstag:hover, .jstag:hover, .phptag:hover {
    transform: scale(1.1);
    padding: 10px 50px;
    letter-spacing: 1px;

}

.on {
    color: #ffffff;
    font-weight: bold;
    background: linear-gradient(45deg, rgb(0, 187, 16) 50%, rgb(10, 122, 0));
    padding: 5px 10px;
    margin: 10px;
    display: flexbox;
    border: 3px solid #091424;
    box-shadow: 0 0 8px #040a18b9;
    border-radius: 20px;
}

.off {
    color: #ffffff;
    font-weight: bold;
    background: linear-gradient(45deg, rgb(187, 0, 0) 50%, rgb(122, 0, 0));
    padding: 5px 10px;
    margin: 10px;
    display: flexbox;
    border: 3px solid #091424;
    box-shadow: 0 0 8px #040a18b9;
    border-radius: 20px;
}

.new {
    color: #ffffff;
    font-weight: bold;
    background: linear-gradient(45deg, rgb(0, 170, 248) 50%, rgb(0, 77, 122));
    padding: 5px 10px;
    margin: 10px;
    display: flexbox;
    border: 3px solid #091424;
    box-shadow: 0 0 8px #040a18b9;
    border-radius: 20px;
}

.upd {
    color: #ffffff;
    font-weight: bold;
    background: linear-gradient(45deg, rgb(187, 90, 0) 50%, rgb(122, 73, 0));
    padding: 5px 10px;
    margin: 10px;
    display: flexbox;
    border: 3px solid #091424;
    box-shadow: 0 0 8px #040a18b9;
    border-radius: 20px;
}

/*FULL SCREEN---------------------------------------------------------------------------------------------------------------------*/
#fullscreen-container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 999;
    opacity: 0;
    transition: opacity 0.3s ease-in-out; 
}

#fullscreen-image {
    max-width: 90%;
    max-height: 90%;
    transform: scale(0.8); 
    border-top-right-radius: 40px;
    border-top-left-radius: 40px;
    border-bottom-right-radius: 40px;
    border-bottom-left-radius: 40px;
    border: 4px solid #040a18;
    box-shadow: 0 0 30px #000000;
    transition: transform 0.3s ease-in-out; 
}

#close-button {
    position: absolute;
    top: -25px;
    right: 20px;
    color: #0073ff;
    font-size: 80px;
    border-radius: 50%;
    background: none;
    cursor: pointer;
    opacity: 1;
    transition: all 0.3s ease-in-out;
}

#close-button:hover {
    opacity: 1;
    color: hsl(204, 100%, 72%);
    transform: scale(1.1);
}

/*ANIMATION---------------------------------------------------------------------------------------------------------------------*/
@keyframes gradientAnimation {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
  }

  @keyframes rainbow_animation {
    0%,100% {
        background-position: 0 0;
    }

    50% {
        background-position: 100% 0;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
  }

/*LOCATION---------------------------------------------------------------------------------------------------------------------*/
.location {
    background-color: #09141d;
    border: 2px solid #0073ff00;
    box-shadow: 0 0 8px #040a18a1;
    padding: 15px 5px;
    border-radius: 10px;
    margin-left: 10px;
    transition: all 0.2s;
}

.location:hover {
    background-color: #0d2f4b;
    box-shadow: 0 0 8px #040a18;
    border: 2px solid #0078ce;
    border-radius: 25px;
    margin-left: 5px;
    padding: 20px 10px;
}

.locationimg {
    transform: translateY(14px);
    filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.651));
}

/*HEADER---------------------------------------------------------------------------------------------------------------------*/
header {
    background: linear-gradient(75deg, #69c3ff, #18375c, #69c3ff, #18375c, #69c3ff, #18375c, #69c3ff, #18375c, #69c3ff);
    color: #ffffff;
    padding: 10px 0;
    background-size: 400% 100%;
    animation: gradientAnimation 14s linear infinite;
    border-bottom: 3px solid #0d1b25;
    box-shadow: 0 -1px 8px #09193f;

    .titlelogo {
        margin-left: -11%;  
        transform: translateY(2px);
        filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.5));
      }

    nav {
        display: flex;
        transform: translateY(10px);
        margin-right: -11%;  
        justify-content: flex-end; 
        align-items: flex-start; 
    }

    nav ul {
        list-style: none;
        display: flex;

        li {
            margin-left: 40px;
        }

        a {
            text-decoration: none;
            color: #127cff;
            background-color: #0d1b25;
            border: 2px solid #0d1b25;
            border-top-right-radius: 15px;
            border-top-left-radius: 15px;
            padding: 3px 5px;
            font-weight: bolder;
            position: static;
            font-size: 1.2rem;
            transition: all 0.2s;
        }

        a:hover {
            padding: 6px 5px;
            font-size: 1.55rem;
            color: hsl(204, 100%, 72%);
            border-top-right-radius: 12px;
            border-top-left-radius: 12px;
            margin-left: 3px;
            margin-right: 3px;
            background-color: #0d2542;
            border-left: 2.5px solid #0078ce;
            border-right: 2.5px solid #0078ce;
            border-top: 2.5px solid #0078ce;
            border-bottom: 2.5px solid #0d1b25;
            box-shadow: 0 -2px 4px hsla(203, 80%, 4%, 0.616);
        }
    }
}

/*POST---------------------------------------------------------------------------------------------------------------------*/
.post:hover {
    padding: 30px;
    border: 3px solid transparent;
    border-top-right-radius: 30px;
    border-top-left-radius: 30px;
    border-bottom-right-radius: 30px;
    border-bottom-left-radius: 30px;
}

.featured-posts {
    padding: 50px 0;

    .post {
        margin-bottom: 40px;
        border: 3px solid #ff000000;
        transition: all 0.3s;

        h2 {
            margin-top: 15px;
            color: #ffffff;
            text-shadow: 0 0 4px #040a18, 0 -2px 0 #040e1a;
        }

        h4 {
            text-shadow: 0 0 1px #040a18;
            transition: all 0.3s;
            color: #091424;
        }

        h4:hover {
            color: #1e78ff;
            text-shadow: 0 0 4px #040a18;
            transform: translateY(-4px);
            font-size: 1.5rem;
        }

        .rainbow_text_animated {
            background: linear-gradient(to right, #89d0ff, #0073ff, #89d0ff,#0073ff, #89d0ff, #0073ff);
            text-shadow: 0 0 2px #ffffff36;
            -webkit-background-clip: text;
            background-clip: text;
            color: transparent;
            animation: rainbow_animation 5s ease-in-out infinite;
            background-size: 250% 100%;
        }

        .marked-text {
            color: #0073ff;
        }

        .postimg {
            border-top-right-radius: 15px;
            border-top-left-radius: 15px;
            border-bottom-right-radius: 15px;
            border-bottom-left-radius: 15px;
            border: 3px solid #040a18;
            box-shadow: 0 1 10px #0062d3;
            cursor: zoom-in;
        }

        .post-content {
            color: #778;
            text-shadow: 0 0 3px #040a18;

            .excerpt {
                margin-top: 10px;
            }

            .hidden-text {
                max-height: 0;
                overflow: hidden;
                transition: max-height 0.2s ease-out;

                p {
                    margin-top: 15px;
                }
            }

            &.visible .hidden-text {
                max-height: 1000px; 
            }
        }

        .read-more {
            color: #127cff;
            cursor: pointer;
            display: block;
            margin-top: 10px;
            font-weight: 550;
            transition: all 0.3s;
            text-shadow: 0 0 2px #040a18;
        }

        .read-more:hover {
            color: hsl(204, 100%, 72%);
            text-shadow: 0 0 2px #00122b;
            font-weight: 600;
        }

    }
}

/*FOOTER---------------------------------------------------------------------------------------------------------------------*/
footer {
    background: linear-gradient(75deg, #69c3ff, #18375c, #69c3ff, #18375c, #69c3ff, #18375c, #69c3ff, #18375c, #69c3ff);
    color: #00243d8c;
    text-shadow: 0 0 2px #040a18;
    font-weight: 470;
    background-size: 400% 100%;
    padding: 20px 0;
    animation: gradientAnimation 14s linear infinite;
    border-top: 3px solid #0d1b25;
    box-shadow: 0 0 8px #09193f;
    text-align: center;
}
